# Uses of Class
org.apache.sysds.runtime.compress.colgroup.offset.AOffset

Packages that use AOffset
Package
Description
org.apache.sysds.runtime.compress.colgroup
org.apache.sysds.runtime.compress.colgroup.mapping
org.apache.sysds.runtime.compress.colgroup.offset
org.apache.sysds.runtime.compress.estim.encoding

## Uses of AOffset in org.apache.sysds.runtime.compress.colgroup

Methods in org.apache.sysds.runtime.compress.colgroup that return AOffset
Modifier and Type
Method
Description
`AOffset`
AOffsetsGroup.`getOffsets()`
`AOffset`
ASDC.`getOffsets()`
`AOffset`
ASDCZero.`getOffsets()`
`AOffset`
ColGroupConst.`getOffsets()`
`AOffset`
ColGroupEmpty.`getOffsets()`
Methods in org.apache.sysds.runtime.compress.colgroup with parameters of type AOffset
Modifier and Type
Method
Description
`static AColGroup`
ColGroupSDC.`create(IColIndex colIndices, int numRows, IDictionary dict, double[] defaultTuple, AOffset offsets, AMapToData data, int[] cachedCounts)`
`static AColGroup`
ColGroupSDCFOR.`create(IColIndex colIndexes, int numRows, IDictionary dict, AOffset offsets, AMapToData data, int[] cachedCounts, double[] reference)`
`static AColGroup`
ColGroupSDCSingle.`create(IColIndex colIndexes, int numRows, IDictionary dict, double[] defaultTuple, AOffset offsets, int[] cachedCounts)`
`static AColGroup`
ColGroupSDCSingleZeros.`create(IColIndex colIndices, int numRows, IDictionary dict, AOffset offsets, int[] cachedCounts)`
`static AColGroup`
ColGroupSDCZeros.`create(IColIndex colIndices, int numRows, IDictionary dict, AOffset offsets, AMapToData data, int[] cachedCounts)`

## Uses of AOffset in org.apache.sysds.runtime.compress.colgroup.mapping

Methods in org.apache.sysds.runtime.compress.colgroup.mapping with parameters of type AOffset
Modifier and Type
Method
Description
`int`
AMapToData.`countRuns(AOffset off)`
Count the number of runs inside the map, but sparse with offsets.
`final void`
AMapToData.`preAggregateDDC_SDCZ(AMapToData tm, IDictionary td, AOffset tof, Dictionary ret, int nCol)`
PreAggregate into SDCZero dictionary from DDC dictionary.
`void`
AMapToData.`preAggregateDDC_SDCZMultiCol(AMapToData tm, IDictionary td, AOffset tof, double[] v, int nCol)`
`void`
AMapToData.`preAggregateDDC_SDCZSingleCol(AMapToData tm, double[] td, AOffset tof, double[] v)`
`final void`
AMapToData.`preAggregateDense(DenseBlock m, double[] preAV, int rl, int ru, int cl, int cu, AOffset indexes)`
PreAggregate a Dense Matrix at index offsets.
`final void`
AMapToData.`preAggregateSDCZ_DDC(AMapToData tm, IDictionary td, AOffset of, Dictionary ret, int nCol)`
PreAggregate into DDC dictionary from SDCZero dictionary.
`final void`
AMapToData.`preAggregateSDCZ_SDCZ(AMapToData tm, IDictionary td, AOffset tof, AOffset of, Dictionary ret, int nCol)`
`final void`
AMapToData.`preAggregateSparse(SparseBlock sb, double[] preAV, int rl, int ru, AOffset indexes)`
PreAggregate the SparseBlock in the range of rows given.

## Uses of AOffset in org.apache.sysds.runtime.compress.colgroup.offset

Subclasses of AOffset in org.apache.sysds.runtime.compress.colgroup.offset
Modifier and Type
Class
Description
`class`
`AOffsetByte`
`class`
`OffsetByte`
`class`
`OffsetByteNZ`
`class`
`OffsetByteUNZ`
`class`
`OffsetChar`
`class`
`OffsetEmpty`
`class`
`OffsetSingle`
`class`
`OffsetTwo`
Fields in org.apache.sysds.runtime.compress.colgroup.offset declared as AOffset
Modifier and Type
Field
Description
`final AOffset`
AOffset.OffsetSliceInfo.`offsetSlice`
`final AOffset`
AOffset.RemoveEmptyOffsetsTmp.`retOffset`
Methods in org.apache.sysds.runtime.compress.colgroup.offset that return AOffset
Modifier and Type
Method
Description
`AOffset`
AOffset.`append(AOffset t, int s)`
Append the offsets from that other offset to the offsets in this.
`AOffset`
AOffset.`appendN(AOffsetsGroup[] g, int s)`
Append a list of offsets together in order.
`final AOffset`
OffsetByte.`appendN(AOffsetsGroup[] g, int s)`
`static AOffset`
OffsetFactory.`createOffset(int[] indexes)`
Main factory pattern creator for Offsets.
`static AOffset`
OffsetFactory.`createOffset(int[] indexes, int apos, int alen)`
Create a Offset based on a subset of the indexes given.
`static AOffset`
OffsetFactory.`createOffset(int[] indexes, int apos, int alen, OffsetFactory.OFF_TYPE type)`
`static AOffset`
OffsetFactory.`createOffset(int[] indexes, OffsetFactory.OFF_TYPE type)`
try to create a specific type of offset.
`static AOffset`
OffsetFactory.`createOffset(IntArrayList indexes)`
Create the offsets based on our primitive IntArrayList.
`abstract AOffset`
AOffset.`moveIndex(int m)`
Move the index start x cells
`AOffset`
OffsetByte.`moveIndex(int m)`
`AOffset`
OffsetByteNZ.`moveIndex(int m)`
`AOffset`
OffsetByteUNZ.`moveIndex(int m)`
`AOffset`
OffsetChar.`moveIndex(int m)`
`AOffset`
OffsetEmpty.`moveIndex(int m)`
`AOffset`
OffsetSingle.`moveIndex(int m)`
`AOffset`
OffsetTwo.`moveIndex(int m)`
`static AOffset`
OffsetFactory.`readIn(DataInput in)`
Read in AOffset from the DataInput.
`AOffset`
AOffset.`reverse(int numRows)`
Reverse the locations of the offsets such that the inverse offsets are returned.
Methods in org.apache.sysds.runtime.compress.colgroup.offset with parameters of type AOffset
Modifier and Type
Method
Description
`AOffset`
AOffset.`append(AOffset t, int s)`
Append the offsets from that other offset to the offsets in this.
`boolean`
AOffset.`equals(AOffset b)`
`boolean`
OffsetEmpty.`equals(AOffset b)`

## Uses of AOffset in org.apache.sysds.runtime.compress.estim.encoding

Methods in org.apache.sysds.runtime.compress.estim.encoding that return AOffset
Modifier and Type
Method
Description
`AOffset`
SparseEncoding.`getOffsets()`
Methods in org.apache.sysds.runtime.compress.estim.encoding with parameters of type AOffset
Modifier and Type
Method
Description
`static IEncode`
EncodingFactory.`create(AMapToData d, AOffset i, int nRow)`
`static SparseEncoding`
EncodingFactory.`createSparse(AMapToData map, AOffset off, int nRows)`